Skip to main content
GET
/
projects
/
{id}
Get project
curl --request GET \
  --url https://app.mavera.io/api/v1/projects/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": "project",
  "name": "<string>",
  "goal": "<string>",
  "workspace_id": "<string>",
  "workspace_name": "<string>",
  "thread_count": 123,
  "mave_thread_count": 123,
  "generation_count": 123,
  "credits_used_14d": 123,
  "budget_alert": 123,
  "usage_limit": 123,
  "billing_email": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mavera.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.

Path Parameters

id
string
required

Project ID

Response

Project details

id
string

Unique project identifier

object
enum<string>
Available options:
project
name
string

Project name

goal
string | null

Project goal or description

workspace_id
string

Parent workspace ID

workspace_name
string

Parent workspace name

thread_count
integer

Number of chat threads in project

mave_thread_count
integer

Number of Mave agent threads

generation_count
integer

Number of content generations

credits_used_14d
integer

Credits used in the last 14 days

budget_alert
integer | null

Credit usage alert threshold

usage_limit
integer | null

Credit usage limit

billing_email
string | null

Email for billing notifications

created_at
string<date-time>
updated_at
string<date-time>